Update a Case

📘

Supported Regions and Base URLs

👍

Access and Registration

Authentication

Scope

cases-public:write

Request Parameters Sample

{
  "parent_id": "2",
  "title": "test title",
  "description": "test description",
  "owner_id": "61036b508ff57b5578f25a10",
  "priority": "LOW",
  "type": "QUESTION",
  "status": "ON-HOLD",
  "resolution": "solve successfully",
  "custom_fields": {
    "checkbox1": {
      "value": true
    },
    "drop_down1": {
      "label": "test dw12",
      "value": "001"
    },
    "text1": {
      "value": "text desc"
    },
    "dependent_field1": {
      "label": [
        "a",
        "a1",
        "a11"
      ],
      "value": [
        "3a20c48f-3e33-49b0-af22-63eba6fa4cc3",
        "bbb2a5e7-6190-4eb1-b889-ec37e0badd0b",
        "e9e3c93a-1b28-489a-96fe-6b3e9ca60976"
      ]
    },
    "date1": {
      "value": "2022-04-21T06:30:21Z"
    },
    "numeric1": {
      "value": 1
    },
    "decimal1": {
      "value": 1.2
    },
    "multi_line_text1": {
      "value": "Line1\\\\nLine2"
    },
    "multi_select1": {
      "label": [
        "1111",
        "2222"
      ],
      "value": [
        "001",
        "002"
      ]
    }
  },
  "notes": [
    {
      "note_title": "test subject",
      "note_body": "test body",
      "public": true
    }
  ],
  "group_id": "group"
}

Body Response - Schema

200 (success - returns the case details after updated)

ParameterTypeDescriptionRequired
idstringCase ID, the unique numeric identifiers given to each case. Starting from 1.yes
titlestringCase subjectno
descriptionstringCase descriptionno
parent_idstringCase id of parent case.no
owner_idstringAssignee IDno
prioritystringcase priorityno
typestringcase typeno
statusstringcase statusno
resolutionstringThe resolution, required when solving a caseno
notesarray[object]

The notes of the array. "notes" subdivides into:

1 - "id" (string) - the unique numeric identifiers given to each note
2 - "note_title" (string)
3 - "note_body" (string)
4 - "public" (boolean) - set to true if the notes are public, otherwise false. Default is false.

no
custom_fieldsobjectFields added by agentsno
group_idstring

The group ID.

= 0 characters
<= 255 characters

no

If updating case status to Resolved, pass in solve_reasonis optional:

{
  ......,
  "status": "RESOLVED",
  "solve_reason": "test reason"
}
📘

Case Status

  • solve_reason is optional when updating case status to Resolved.
    • It cannot be set to Closed manually.
    • Closed cases cannot be updated.

400 (bad request), 401 (unauthorized access - invalid or unverifiable JWT), 403 (forbidden), 404 (forbidden)

ParameterTypeDescriptionRequired
codestringn/ayes
messagestringn/ayes
descriptionstringn/ano
fieldsarray[object]

"fields" subdivides into:

"name" (string)

"description" (string)

yes (name and description)
👍

API Availability

The Case API has been in GA since October 2023.

🚧

Troubleshooting

If you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.

Path Params
string
required
Body Params
string
required
string
required
string
string
string
string
string
string
notes
array
notes
string
Headers
string
required
Responses

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json